<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="linkAllPopup"/>
        <ui:define name="popup_title">Are you sure you want to link all the selected assertions ?</ui:define>
        <s:div id="linkAllPopupContent">
            <h:outputText
                    value="By clicking on yes, #{manager.countAssertionsNotLinked()} assertions will be added. This operation can take some time."/>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="Yes" styleClass="gzl-btn-green"
                               onclick="jq162('#linkAllPopup').modal('hide');"
                               render="idSchemesForm,#{formToRender},description"
                               actionListener="#{manager.linkAll()}"/>
            <a4j:commandButton value="No" styleClass="gzl-btn"
                               onclick="jq162('#linkAllPopup').modal('hide');"
                               render="idSchemesForm,#{formToRender},description"/>
        </ui:define>
    </ui:decorate>

    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="unlinkAllPopup"/>
        <ui:define name="popup_title">Are you sure you want to unlink all the selected assertions ?</ui:define>
        <s:div id="unlinkAllPopupContent">
            <h:outputText
                    value="By clicking on yes, #{manager.countAssertionsLinked()} assertions will be deleted. This operation can take some time."/>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="Yes" styleClass="gzl-btn-green"
                               onclick="jq162('#unlinkAllPopup').modal('hide');"
                               render="idSchemesForm,#{formToRender},description"
                               actionListener="#{manager.unlinkAll()}"/>
            <a4j:commandButton value="No" styleClass="gzl-btn"
                               onclick="jq162('#unlinkAllPopup').modal('hide');"
                               render="idSchemesForm,#{formToRender},description"/>
        </ui:define>

    </ui:decorate>
</ui:composition>